// support stuff for the Fighterjet vehicle
exec("./Fighterjet_TireSpring.cs");
exec("./Fighterjet_Explosion.cs");
exec("./Fighterjet_FinalExplosion.cs");
exec("./Fighterjet_FJetStream.cs");
exec("./Fighterjet_FJetBurners.cs");

//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Fighterjet - required add-on Vehicle_Jeep not found");
}
else
{
   exec("./Vehicle_Fighterjet-mg.cs"); 
   exec("./Vehicle_Fighterjet-Homing.cs"); 
   exec("./Vehicle_Fighterjet-Missile.cs"); 
   exec("./Vehicle_Fighterjet-bomber.cs"); 
   exec("./Support_shootOnClick.cs");
   exec("./FJetMGPROJECTILE.cs");
   exec("./HomingMissilePROJECTILE.cs");
   exec("./MissilePROJECTILE.cs");
   exec("./bombPROJECTILE.cs");
}